NAME
	typeof - find out the type of a variable.

SYNOPSIS
	int typeof(mixed testvar)

DESCRIPTION
	This routine tests the variable type of a (mixed) variable and can be
	used to prevent a sequences of tests using stringp, mappingp, etc. It
	will return one of the following definitions:

	T_INTEGER  - integer            intp() would return TRUE
	T_FLOAT    - floating point     floatp() would return TRUE
	T_STRING   - string             stringp() would return TRUE
	T_OBJECT   - object             objectp() would return TRUE
	T_FUNCTION - LPC function       functionp() would return TRUE
	T_ARRAY    - array              pointerp() would return TRUE
	T_MAPPING  - mapping            mappingp() would return TRUE

        The definitions T_INTEGER etc. are globally defined. You do not have
	to include anything to get them.

SEE ALSO
	functionp, intp, pointerp, mappingp, objectp, stringp, floatp

